Subject: Re: [Bugme-new] [Bug 13304] New: ehci_hcd module causing problems in using usb head phone

From: Geoff Levand <[email-masked]>
Date: Fri, 26 Jun 2009 10:14:47 -0700

Hi,

On 06/26/2009 08:54 AM, Alan Stern wrote:
> On Fri, 26 Jun 2009, abhishekkumar wrote:
>>
>> bus ps3_system_bus, device sb_05 (driver 10 Dec 2004)
>> PS3 EHCI Host Controller
>> EHCI ff.ff, hcd state 1
>> structural params 0xffffffff
>> capability params 0xffffffff
>> status ffffffff Async Periodic Recl Halt IAA FATAL FLR PCD ERR INT
>> command ffffffff park=3 ithresh=63 LReset IAAD Async Periodic period=?? Reset R
>> intrenable ffffffff IAA FATAL FLR PCD ERR INT
>> uframe ffffffff
>> port 1 status ffffffff POWER OWNER sig=? RESET SUSPEND RESUME OCC OC PEC PE CSC
>> port 2 status ffffffff POWER OWNER sig=? RESET SUSPEND RESUME OCC OC PEC PE CSC
>> irq normal 30832 err 30 reclaim 84 (lost 1)
>> complete 31221 unlink 10
> 
> This is very bad.  It indicates that the CPU was unable to communicate
> with the EHCI controller at all!  All the memory-mapped I/O reads
> returned 0xffffffff.  No wonder the keyboard and mouse stopped working.
> 
> I have no idea what could have caused this to happen.  Even if the 
> controller had suffered a fatal error, you wouldn't see this.  It looks 
> like the bus's connection to the controller was turned off.
> 
> I'm CC-ing the PS3 maintainer and mailing list.  Maybe people there can 
> help.
> 
> Alan Stern

There is a known but yet unfixed bug for the PS3's EHCI Async Periodic
(typically audio recording) device handling.  There are a few related
hardware errata that I have not yet implemented driver fixes for that
I think are causing it.  

I guess it is the same problem as reported by Abhishek since Andrew's
dmesg (http://www.osl.iu.edu/~afriedle/dmesg.txt) shows similar 
results.

More info is here:

  http://ozlabs.org/pipermail/cbe-oss-dev/2009-February/006365.html

I have bought a ART Tube USB device but have not had time to fix
this bug.  It is on my todo list.  Please feel free to make an
attempt.

Alan, thanks for your effort on this so far, sorry you didn't know
about the previous report.

-Geoff